package com.yanzhu.jh.project.service;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectPlan;
import com.yanzhu.jh.project.domain.vo.MajorPlanExport;
import com.yanzhu.jh.project.domain.vo.UrbanPlanExport;

/**
 * 项目跟进计划Service接口
 * 
 * @author ruoyi
 * @date 2023-09-07
 */
public interface ISurProjectPlanService 
{
    /**
     * 查询项目跟进计划
     * 
     * @param id 项目跟进计划主键
     * @return 项目跟进计划
     */
    public SurProjectPlan selectSurProjectPlanById(Long id);

    /**
     * 查询项目跟进计划列表
     * 
     * @param surProjectPlan 项目跟进计划
     * @return 项目跟进计划集合
     */
    public List<SurProjectPlan> selectSurProjectPlanList(SurProjectPlan surProjectPlan);

    /**
     * 新增项目跟进计划
     * 
     * @param surProjectPlan 项目跟进计划
     * @return 结果
     */
    public int insertSurProjectPlan(SurProjectPlan surProjectPlan);

    /**
     * 修改项目跟进计划
     * 
     * @param surProjectPlan 项目跟进计划
     * @return 结果
     */
    public int updateSurProjectPlan(SurProjectPlan surProjectPlan);

    /**
     * 批量删除项目跟进计划
     * 
     * @param ids 需要删除的项目跟进计划主键集合
     * @return 结果
     */
    public int deleteSurProjectPlanByIds(Long[] ids);

    /**
     * 删除项目跟进计划信息
     * 
     * @param id 项目跟进计划主键
     * @return 结果
     */
    public int deleteSurProjectPlanById(Long id);

    public int importUrbanPlan(List<UrbanPlanExport> list);

    public int importMajorPlan(List<MajorPlanExport> list);

    public List<SurProjectPlan> selectSurProjectPlanListTop3();
}
